const prefix = '/api/center'

const apis = {
  user: {
    current: {
      url: `${prefix}/current`,
      method: 'GET',
    },
    login: {
      url: `${prefix}/signin`,
      method: 'POST',
    },
    logoff: {
      url: `${prefix}/signout`,
      method: 'POST',
    },
  },
  member: {
    list: {
      url: `${prefix}/taUser`,
      method: 'GET',
    },
    get: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
    },
    save: {
      url: `${prefix}/taUser`,
      method: 'POST',
    },
    update: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
    },
    miniapp: {
      url: `${prefix}/taMiniapp`,
      method: 'POST',
    },
    menus: {
      url: `${prefix}/sysmodules`,
      method: 'GET',
    },
    authorize: {
      url: `${prefix}/sysmodules`,
      method: 'POST',
    },
    turn: {
      url: `${prefix}/turn/taUser/:id/:type`,
      method: 'PUT',
    },
    resetPass: {
      url: `${prefix}/password/taUser/:id`,
      method: 'PUT',
    },
  },
  image: {
    upload: {
      url: `${prefix}/antd/image`,
      method: 'POST',
    }
  },
}

export default apis;
